searchNodes=[{"doc":"Formats logs in logfmt format. This module allows developers to specify a list of atoms that serves as template for log messages, for example: [:timestamp, :level, :message, :metadata] Will print an error message as: timestamp = &quot;18:43:12 2022-5-22&quot; level = error message = &quot;oh no spaghettio&quot; user_id = 13 The valid parameters you can use are: :timestamp - the time and date the log message was sent :message - the log message :level - the log level :node - the node that printed the message :metadata - the metadata attached to the log","ref":"LogfmtEx.html","title":"LogfmtEx","type":"module"},{"doc":"","ref":"LogfmtEx.html#format/4","title":"LogfmtEx.format/4","type":"function"},{"doc":"","ref":"LogfmtEx.html#format/5","title":"LogfmtEx.format/5","type":"function"},{"doc":"","ref":"LogfmtEx.html#t:pattern/0","title":"LogfmtEx.pattern/0","type":"type"},{"doc":"","ref":"LogfmtEx.html#t:pattern_keys/0","title":"LogfmtEx.pattern_keys/0","type":"type"},{"doc":"","ref":"LogfmtEx.html#t:time/0","title":"LogfmtEx.time/0","type":"type"},{"doc":"Encodes key/value pairs.","ref":"LogfmtEx.Encoder.html","title":"LogfmtEx.Encoder","type":"module"},{"doc":"","ref":"LogfmtEx.Encoder.html#encode/3","title":"LogfmtEx.Encoder.encode/3","type":"function"},{"doc":"","ref":"LogfmtEx.Encoder.html#t:key/0","title":"LogfmtEx.Encoder.key/0","type":"type"},{"doc":"","ref":"LogfmtEx.ValueEncoder.html","title":"LogfmtEx.ValueEncoder","type":"protocol"},{"doc":"","ref":"LogfmtEx.ValueEncoder.html#encode/1","title":"LogfmtEx.ValueEncoder.encode/1","type":"function"},{"doc":"","ref":"LogfmtEx.ValueEncoder.html#t:t/0","title":"LogfmtEx.ValueEncoder.t/0","type":"type"},{"doc":"LogfmtEx Yet another logfmt log formatter for Elixir's :console logger backend. In your app's logger configuration, specify the LogfmtEx module and its format function to be used to format your logs: config :logger , :console , format : { LogfmtEx , :format }","ref":"readme.html","title":"README","type":"extras"},{"doc":"The package can be installed by adding logfmt_ex to your list of dependencies in mix.exs : def deps do [ { :logfmt_ex , &quot;~&gt; 0.1&quot; } ] end","ref":"readme.html#installation","title":"README - Installation","type":"extras"},{"doc":"While the library guidelines discourages application configuration , we have no way to pass a config to the formatter, so we have to rely on application config. The following configuration options are available under LogfmtEx, :opts : :delimiter - defaults to = . :format - A list of atoms that defines the order in which key/value pairs will written to the log line. Defaults to [:timestamp, :level, :message, :metadata] . Valid parameters are :timestamp - the timestamp of the log message :level - the log level :message - the log message itself :metadata - metadata as key=value paris :node - the node name timestamp_key - changes the key used for the timestamp field. Defaults to timestamp . timestamp_format - How the timestamp is formatted. Defaults to :elixir . The options are :elixir - Uses the same formatting functions found in the standard elixir log formatter. level_key - the key used for the log level. Defaults to level . message_key - the key used for the message field. Defaults to message , but msg is a popular alternative. An example configuration would then look like config :logger , :console , format : { LogfmtEx , :format } , metadata : [ :user_id , :pid , :file ] config LogfmtEx , :opts , format : [ :level , :message , :node , :timestamp , :metadata ] , timestamp_key : &quot;ts&quot; , message_key : &quot;msg&quot; for which Logger.info(&quot;I am a message&quot;, user_id: 123) would ouput something along the lines of level = info msg = &quot;I am a message&quot; ts = &quot;12:38:38.055 1973-03-12&quot; user_id = 123 pid = # PID &lt; 0 . 223 . 0 &gt; file = test / logfmt_ex_test . exs \\ n Note When specifying a function for the :console logger's :format option, there is no way to pass in additional config, so these configuration options are read for every call to the logger.","ref":"readme.html#configuration","title":"README - Configuration","type":"extras"},{"doc":"Structs can be encoded via the LogfmtEx.ValueEncoder protocol. defimpl LogfmtEx.ValueEncoder , for : Regex do def encode ( regex ) , do : inspect ( regex ) end","ref":"readme.html#encoding","title":"README - Encoding","type":"extras"},{"doc":"This library uses asdf to manage runtime versions of Elixir and Erlang.","ref":"readme.html#testing-and-development","title":"README - Testing and Development","type":"extras"},{"doc":"LogfmtEx is a simple logfmt formatter specifically for the Elixir console backend. If you're looking for a library to encode and decode logfmt, take a look at logfmt-elixir instead.","ref":"readme.html#alternatives","title":"README - Alternatives","type":"extras"}]